<div class="container">
  <div id="contenido" class="container">
    <h3 class="my-3 text-center">
                  Cuenta CLABE</h3>                  
                  <p class=".mb-4 text-center">
                    Proporcionanos la cuenta CLABE donde te depositaremos el dinero de tus ventas.
                </p>
                  <form [formGroup]="myForm" >
                  <div class="form-group">
                    <input id="inputCuentaClabe"  autocomplete="off" type="tel" oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*)\./g, '$1');" formControlName="cuentaClabe" class=" form-control form-control-lg" [ngClass]="{ 'is-invalid': submitted && f.cuentaClabe.errors }">
                    <div *ngIf="submitted && f.cuentaClabe.errors" class="invalid-feedback">
                      <div *ngIf="f.cuentaClabe.errors.required">Cuenta clabe requerida</div>
                      <div *ngIf="f.cuentaClabe.errors.maxlength">La cuenta clabe debe contener 18 dígitos</div>
                      <div *ngIf="f.cuentaClabe.errors.minlength">La cuenta clabe debe contener 18 dígitos</div>
                      <div *ngIf="f.cuentaClabe.errors.pattern">La cuenta clabe debe contener solo dígitos</div>
                      <div *ngIf="f.cuentaClabe.errors.valid">La cuenta clabe no es correcta</div>
                       
                  </div>
                    <small class="form-text text-muted"></small>
                  </div>
                  <div *ngIf="errorString != ''" style="color: red;">
                  {{errorString}}
                  </div>
                  <p class="my-3">
                    <button type="submit" (click)="continuar()" class="btn btn-lg btn-block btn-danger mr-3 btnUrl btnPrimary" 
                    [style.background-color]="getColorButton()"
                    [style.border-color]="getColorButton()"
                    [style.color]="getColorLabel()">Continuar</button>
                  </p>
                  </form>
              
    </div>
  </div>